# Maintainer: Martchus <martchus@gmx.net>

# All my PKGBUILDs are managed at https://github.com/Martchus/PKGBUILDs where
# you also find the URL of a binary repository.

pkgname=cpp-utilities
pkgver=5.12.0
pkgrel=1
arch=('x86_64')
pkgdesc='Common C++ classes and routines such as argument parser, IO and conversion utilities'
license=('GPL')
depends=('gcc-libs')
optdepends=("$pkgname-doc: API documentation")
makedepends=('cmake' 'ninja')
checkdepends=('cppunit')
url="https://github.com/Martchus/$pkgname"
source=("$pkgname-$pkgver.tar.gz::https://github.com/Martchus/$pkgname/archive/v$pkgver.tar.gz")
sha512sums=('26dc6bfbdbf49d8356f972e93a3da2e2dcf376565dbb46b6abf89ca3bf9bb28c9bccea783a3cc9072e2bde5f503914e4b65b8b3bfbd115c5b6a15fcfb0f02e83')

prepare() {
  cd "$pkgname-$pkgver"
}

build() {
  cd "$pkgname-$pkgver"
  cmake \
    -G Ninja \
    -DCMAKE_BUILD_TYPE:STRING='Release' \
    -DCMAKE_INSTALL_PREFIX:PATH='/usr' \
    -DBUILD_SHARED_LIBS:BOOL=ON \
    .
  ninja
}

check() {
  cd "$pkgname-$pkgver"
  ninja check
}

package() {
  cd "$pkgname-$pkgver"
  DESTDIR="$pkgdir" ninja install
}
